<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!DOCTYPE dataset SYSTEM "../../../../../dtd/squash-tm.10.0.0.dtd">
<dataset>
	<CORE_PARTY PARTY_ID="-1"/>
 	<CORE_USER LOGIN="StubUserContextService" CREATED_ON="2013-10-07" CREATED_BY="mp" PARTY_ID="-1"/>
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-2" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-3" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-4" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-5" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-6" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-7" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-8" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-9" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-10" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-11" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1010" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1011" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1020" />

		<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-20"/>
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-21"/>
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-22"/>
	<CAMPAIGN_LIBRARY CL_ID="-1" ATTACHMENT_LIST_ID="-22"/>
	<PROJECT PROJECT_ID="-1" ATTACHMENT_LIST_ID="-21" CREATED_ON="2013-10-08" CREATED_BY="mp" NAME="" CL_ID="-1"/>
	<CAMPAIGN_LIBRARY_NODE ATTACHMENT_LIST_ID="-20" CREATED_ON="2013-10-08" CREATED_BY="mp" CLN_ID="-1" NAME="" PROJECT_ID="-1"/>
	<CAMPAIGN ACTUAL_START_AUTO="false" ACTUAL_END_AUTO="false" CLN_ID="-1"/>
	<!-- ITERATION 1 -->
	<ITERATION NAME="iter - tc1" ITERATION_ID="-1"
		ACTUAL_END_AUTO="FALSE" ACTUAL_START_AUTO="FALSE" ACTUAL_START_DATE="2011-01-01"
		ACTUAL_END_DATE="2011-01-02" SCHEDULED_START_DATE="2011-01-01"
		SCHEDULED_END_DATE="2011-01-02" CREATED_BY="DBU" CREATED_ON="2010-02-01"
		ATTACHMENT_LIST_ID="-1"
                UUID="53a72cb4-b60d-437b-8be1-e65b93c79cb4" />
		<CAMPAIGN_ITERATION CAMPAIGN_ID="-1" ITERATION_ORDER="0" ITERATION_ID="-1"/>

	<!-- 1 TEST CASE WITH 3 TEST STEPS BUT WHICH EXECUTIONS DON'T HAVE ANY STEP-->
	<TEST_CASE_LIBRARY_NODE TCLN_ID="-1" NAME="test case 1"
		CREATED_BY="DBU" CREATED_ON="2010-02-01" ATTACHMENT_LIST_ID="-3" />
	<TEST_CASE TCLN_ID="-1"
		PREREQUISITE="test" UUID="2d387bac-dc8b-4648-94b0-2fa1f281f32a"/>
	<!-- 3 TEST CASE STEP -->
	<TEST_STEP TEST_STEP_ID="-1" />
	<ACTION_TEST_STEP TEST_STEP_ID="-1" ACTION="lipsum1"
		ATTACHMENT_LIST_ID="-5" />
	<TEST_STEP TEST_STEP_ID="-2" />
	<ACTION_TEST_STEP TEST_STEP_ID="-2" ACTION="lipsum2"
		ATTACHMENT_LIST_ID="-6" />
	<TEST_STEP TEST_STEP_ID="-3" />
	<ACTION_TEST_STEP TEST_STEP_ID="-3" ACTION="lipsum3"
		ATTACHMENT_LIST_ID="-7" />

	<TEST_CASE_STEPS TEST_CASE_ID="-1" STEP_ID="-1"
		STEP_ORDER="0" />
	<TEST_CASE_STEPS TEST_CASE_ID="-1" STEP_ID="-2"
		STEP_ORDER="1" />
	<TEST_CASE_STEPS TEST_CASE_ID="-1" STEP_ID="-3"
		STEP_ORDER="2" />

	<!-- ANOTHER TEST CASE WITH 0 TEST STEPS -->
	<TEST_CASE_LIBRARY_NODE TCLN_ID="-2" NAME="test case 2"
		CREATED_BY="DBU" CREATED_ON="2010-02-01" ATTACHMENT_LIST_ID="-8"/>
	<TEST_CASE TCLN_ID="-2"
		PREREQUISITE="test" UUID="2d387bac-dc8b-4648-94b0-2fa1f281f32b"/>

  <!-- A GHERKIN TEST CASE WITH 0 SCENARIOS IN SCRIPT -->
  <TEST_CASE_LIBRARY_NODE TCLN_ID="-3" NAME="test case 3"
                          CREATED_BY="DBU" CREATED_ON="2010-02-01" ATTACHMENT_LIST_ID="-9"/>
  <TEST_CASE TCLN_ID="-3"
             PREREQUISITE="test" UUID="2d387bac-dc8b-4648-94b0-2fa1f281f32c"/>
  <SCRIPTED_TEST_CASE TCLN_ID="-3" SCRIPT="Feature: gherk 2"/>


	<!-- TEST PLAN OF ITERATION -->
	<ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-1"
		EXECUTION_STATUS="READY" TCLN_ID="-1" CREATED_BY="DBU" CREATED_ON="2011-01-01"/>
	<ITEM_TEST_PLAN_LIST ITERATION_ID="-1"
		ITEM_TEST_PLAN_ID="-1" ITEM_TEST_PLAN_ORDER="0" />

	<ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-2"
		EXECUTION_STATUS="READY" TCLN_ID="-2" CREATED_BY="DBU" CREATED_ON="2011-01-01"/>
	<ITEM_TEST_PLAN_LIST ITERATION_ID="-1"
		ITEM_TEST_PLAN_ID="-2" ITEM_TEST_PLAN_ORDER="1" />

	<ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-3"
		EXECUTION_STATUS="READY" TCLN_ID="-2" CREATED_BY="DBU" CREATED_ON="2011-01-01" />
	<ITEM_TEST_PLAN_LIST ITERATION_ID="-1"
		ITEM_TEST_PLAN_ID="-3" ITEM_TEST_PLAN_ORDER="2" />

  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-4"
                            EXECUTION_STATUS="READY" TCLN_ID="-3" CREATED_BY="DBU" CREATED_ON="2011-01-01"/>
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-1"
                       ITEM_TEST_PLAN_ID="-4" ITEM_TEST_PLAN_ORDER="3" />

	<CORE_GROUP_MEMBER/>

</dataset>
